Bug 1821334 - [Feature:Platform] Managed cluster should have no crashlooping pods in core namespaces over two minutes [Suite:openshift/conformance/parallel]
Summary: [Feature:Platform] Managed cluster should have no crashlooping pods in core n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Evan Cordell
QA Contact: kuiwang
URL:
Whiteboard:
Depends On: 1821332
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-06 15:26 UTC by Lukasz Szaszkiewicz
Modified: 2020-05-04 11:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1821332
Environment:
Last Closed: 2020-05-04 11:48:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24839 None closed [release-4.4] Bug 1821334: Managed cluster should have no crashlooping pods in core namespaces over two minutes 2020-11-05 01:57:28 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:48:58 UTC

Description Lukasz Szaszkiewicz 2020-04-06 15:26:23 UTC
+++ This bug was initially created as a clone of Bug #1821332 +++

The [1] marketplace test makes the "managed cluster " test to fail occasionally. It creates a short-lived pod in openshift-marketplace that is marked as failing (terminated && exitCode=2).

It was moved [2] into the "Serial" test suite for 4.5 and no longer causes disruption.

I am creating this BZ to back-port it to 4.4

 
[1] OCP-21728 check the publisher,display,labels of opsrc&csc
[2] https://github.com/openshift/origin/pull/21496

Comment 5 errata-xmlrpc 2020-05-04 11:48:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.